document.addEventListener( "DOMContentLoaded", function( event ) {

    const autoinput = document.querySelector( "#rss .autoinput" );
    const input     = autoinput.querySelector( "input" );

    // Поиск при каждом нажатии кнопки
    input.addEventListener( "input", function( e ) {
        api( { fn: "rss_pages_list", search: this.value }, function( answer ) {
            if ( answer.result ) {
                autoinput.querySelector( ".options" ).innerHTML = answer.result.html;
                autoinput.querySelectorAll( ".options .option" ).forEach( function( option ) {
                    option.addEventListener( "click", option_click );
                } );
            }
        } );
    } );

    // Щелчок по выбранной странице
    function option_click( event ) {
        event.stopPropagation(); // Чтобы список не закрывался
        let url   = this.getAttribute( "data-url" );
        let textarea = document.querySelector( "#rss textarea[name='exclude']" );
        let val = textarea.value.trim();
        let n = val ? "\n" : "";
        textarea.value = val + n + url;
    }

    // Раскрыть список при клике в поле ввода
    input.addEventListener( "click", function( event ) {
        event.stopPropagation(); // чтобы сразу не закрывалось
        // Первоначальное заполнение
        if ( input.getAttribute( "data-clicked" ) === null ) {
            input.dispatchEvent( new Event( "input" ) );
            input.setAttribute( "data-clicked", "1" );
        }
        autoinput.classList.add( "open" );
    } );

    // collapse select dropdown
    document.body.addEventListener( "click", function( e ) {
        autoinput.classList.remove( "open" );
    } );

} );